#property  copyright "BECEMAL"
#property  link      "http://www.becemal.ru/mql"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Green
#property indicator_width1 2
#property indicator_width2 2

extern int timeFrame=0;
extern int BBPeriod=14;

double BearsBuff[];
double BullsBuff[];

int init()  {
IndicatorShortName("BvsB("+BBPeriod+")");
SetIndexBuffer(0,BearsBuff);
SetIndexBuffer(1,BullsBuff);
SetIndexStyle(0,DRAW_LINE);
SetIndexStyle(1,DRAW_LINE);
SetIndexLabel(0,"Bears");
SetIndexLabel(1,"Bulls");
timeFrame= MathMax(timeFrame,Period());
return(0);  }

int start() {
int counted_bars=IndicatorCounted();
if(Bars<=BBPeriod) return(0);
int limit=MathMax(Bars-counted_bars-1,3*timeFrame/Period());
if(limit < 2) limit = 2;
for(int  i = limit;i >= 0;i--)   {
   int y = iBarShift(NULL,timeFrame,Time[i]);
   double   SMMA = iMA(NULL,timeFrame,BBPeriod,0,MODE_SMMA,PRICE_CLOSE,y);
   BearsBuff[i] = SMMA - iLow(NULL,timeFrame,y);
   BullsBuff[i] = iHigh(NULL,timeFrame,y)-SMMA;  }
return(0);  }